<%@ Control Language="c#" CodeBehind="EditMatrixColumns.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditMatrixColumns" %>
<%@ Register TagPrefix="dictrlc" Namespace="DataIllusion.FeedbackServer.WebAdmin"
	Assembly="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Register Src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox"
	TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function cancelUpdate() {
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}

</script>

<div id="editsingleanswer_control">
</div>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<asp:UpdatePanel ID="AnswersUpdatePanel" runat="server">
	<ContentTemplate>

		<asp:PlaceHolder ID="AnswerOverviewPlaceHolder" runat="server">
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<asp:DataGrid ID="ColumnsDataGrid" runat="server" CssClass="TableGrid" CellPadding="6"
							AutoGenerateColumns="False" OnItemDataBound="ColumnsDataGrid_ItemDataBound" OnEditCommand="ColumnsDataGrid_EditCommand"
							OnItemCommand="ColumnsDataGrid_ItemCommand" OnDeleteCommand="ColumnsDataGrid_DeleteCommand">
							<AlternatingItemStyle CssClass="TableAlternatingListRow"></AlternatingItemStyle>
							<ItemStyle CssClass="TableListRow"></ItemStyle>
							<HeaderStyle CssClass="TableGridHeader"></HeaderStyle>
							<Columns>
								<asp:TemplateColumn ItemStyle-Wrap="false" HeaderText="Order">
									<ItemTemplate>
										<asp:ImageButton ID="UpImageButton" ImageUrl="../images/questionupbutton.png" CommandName="up"
											runat="server"></asp:ImageButton>
										&nbsp;<asp:ImageButton ID="DownImageButton" ImageUrl="../images/questiondownbutton.png"
											CommandName="down" runat="server"></asp:ImageButton>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:BoundColumn DataField="AnswerText" ItemStyle-Width="99%" HeaderText="Text">
									<ItemStyle Wrap="true"></ItemStyle>
								</asp:BoundColumn>
								<asp:TemplateColumn ItemStyle-Wrap="false" HeaderText="Type">
									<ItemTemplate>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Rating">
									<ItemTemplate>
										<asp:Label ID="RatingLabel" runat="server"></asp:Label>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:TemplateColumn HeaderText="Score">
									<ItemTemplate>
										<asp:Label ID="ScorePoint" runat="server"></asp:Label>
									</ItemTemplate>
								</asp:TemplateColumn>
								<asp:EditCommandColumn ButtonType="LinkButton" UpdateText="Update" CancelText="Cancel"
									EditText="Edit"></asp:EditCommandColumn>
								<asp:ButtonColumn CommandName="insert" Text="eueuiwuiweuiweeui"></asp:ButtonColumn>
								<asp:ButtonColumn Text="" CommandName="Delete"></asp:ButtonColumn>
							</Columns>
						</asp:DataGrid><br>
						<asp:Button ID="AddNewColumnButton" runat="server" Text="Add new answer" OnClick="AddNewButton_Click">
						</asp:Button>
						<asp:Button ID="CancelButton" OnClick="CancelButton_Click" runat="server"></asp:Button>
					</td>
				</tr>
			</table>
		</asp:PlaceHolder>

		<asp:PlaceHolder ID="Matrix3dGroupPlaceHolder" runat="server">
			<br />
			<table class="adminTitle">
				<tr>
					<td>&nbsp;</td>
					<td width="99%">
						<asp:Literal ID="MatrixGroupSettingsTitle" runat="server" EnableViewState="False"></asp:Literal>
					</td>
				</tr>
			</table>
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<table>
							<tr>
								<td colspan="2">
									<uc1:RichTextBox ID="QuestionFreeTextBox" runat="server" Height="250"></uc1:RichTextBox>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="QuestionRowWidthLabel" runat="server" EnableViewState="False" />
								</td>
								<td>
									<asp:TextBox ID="QuestionRowWidthTextBox" runat="server" Columns="4"></asp:TextBox>
								</td>
							</tr>

							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
								</td>
								<td width="80%">
									<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
									</asp:DropDownList>
								</td>
							</tr>

												<tr id="SelectionTypeRow" runat="server">
													<td nowrap class="labelStyle" valign="top">
														<asp:Literal ID="SelectionTypeLabel" runat="server" EnableViewState="False">
                  :</asp:Literal>
													</td>
													<td>
														<asp:DropDownList ID="SelectionTypeDropDownList" runat="server"></asp:DropDownList>
													</td>
												</tr>

							<tr id="AnswerRatingRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="AnswerRatingLabel" runat="server" EnableViewState="False">Enable answer rating:</asp:Literal>
								</td>
								<td width="99%">
									<asp:CheckBox ID="RatingCheckbox" runat="server"></asp:CheckBox>
								</td>
							</tr>
							<tr id="MinSelectionRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="MinSelectionMatrixLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="MinSelectionDropDownList" runat="server">
										<asp:ListItem Value="1">1</asp:ListItem>
										<asp:ListItem Value="2">2</asp:ListItem>
										<asp:ListItem Value="3">3</asp:ListItem>
										<asp:ListItem Value="4">4</asp:ListItem>
										<asp:ListItem Value="5">5</asp:ListItem>
										<asp:ListItem Value="6">6</asp:ListItem>
										<asp:ListItem Value="7">7</asp:ListItem>
										<asp:ListItem Value="8">8</asp:ListItem>
										<asp:ListItem Value="9">9</asp:ListItem>
										<asp:ListItem Value="10">10</asp:ListItem>
										<asp:ListItem Value="11">11</asp:ListItem>
										<asp:ListItem Value="12">12</asp:ListItem>
										<asp:ListItem Value="13">13</asp:ListItem>
										<asp:ListItem Value="14">14</asp:ListItem>
										<asp:ListItem Value="15">15</asp:ListItem>
										<asp:ListItem Value="16">16</asp:ListItem>
										<asp:ListItem Value="17">17</asp:ListItem>
										<asp:ListItem Value="18">18</asp:ListItem>
										<asp:ListItem Value="19">19</asp:ListItem>
										<asp:ListItem Value="20">20</asp:ListItem>
									</asp:DropDownList>
								</td>
							</tr>
							<tr id="MaxSelectionRow" runat="server">
								<td nowrap class="labelStyle">
									<asp:Literal ID="MaxSelectionMatrixAllowedLabel" runat="server" EnableViewState="False"></asp:Literal>
								</td>
								<td>
									<asp:DropDownList ID="MaxAllowedDropDownList" runat="server">
										<asp:ListItem Value="1">1</asp:ListItem>
										<asp:ListItem Value="2">2</asp:ListItem>
										<asp:ListItem Value="3">3</asp:ListItem>
										<asp:ListItem Value="4">4</asp:ListItem>
										<asp:ListItem Value="5">5</asp:ListItem>
										<asp:ListItem Value="6">6</asp:ListItem>
										<asp:ListItem Value="7">7</asp:ListItem>
										<asp:ListItem Value="8">8</asp:ListItem>
										<asp:ListItem Value="9">9</asp:ListItem>
										<asp:ListItem Value="10">10</asp:ListItem>
										<asp:ListItem Value="11">11</asp:ListItem>
										<asp:ListItem Value="12">12</asp:ListItem>
										<asp:ListItem Value="13">13</asp:ListItem>
										<asp:ListItem Value="14">14</asp:ListItem>
										<asp:ListItem Value="15">15</asp:ListItem>
										<asp:ListItem Value="16">16</asp:ListItem>
										<asp:ListItem Value="17">17</asp:ListItem>
										<asp:ListItem Value="18">18</asp:ListItem>
										<asp:ListItem Value="19">19</asp:ListItem>
										<asp:ListItem Value="20">20</asp:ListItem>
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="ReportingAliasLabel" runat="server" EnableViewState="False">Reporting alias 
                  :</asp:Literal>
								</td>
								<td>
									<asp:TextBox ID="ReportingAliasTextBox" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<asp:Button ID="UpdateQuestionButton" runat="server" Text="" OnClick="UpdateQuestionButton_Click">
						</asp:Button>
						<asp:Button ID="DeleteMatrixGroupButton" runat="server" Text="" OnClick="DeleteMatrixGroupButton_Click">
						</asp:Button>
					</td>
				</tr>
			</table><br /><br />

		</asp:PlaceHolder>

	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="AnswersUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
