<%@ Control Language="c#" Codebehind="EditSingleQuestionAnswers.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditSingleQuestionAnswers" %>
<%@ Register TagPrefix="uc1" TagName="AnswerOptionControl" Src="../UserControls/AnswerOptionControl.ascx" %>
<%@ Register TagPrefix="dictrlc" Namespace="DataIllusion.FeedbackServer.WebAdmin" Assembly="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<script type="text/javascript">

	function cancelUpdate()
	{
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}

</script>

<div id="editsingleanswer_control">
</div>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>

<table class="settingsTable">
	<tr id="QuestionEditorRow" runat="server">
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
		<asp:UpdatePanel Id="QuestionSelectorPanel" runat="server">			
		<ContentTemplate>
		<table>
				<tr>
					<td nowrap width="150" class="labelStyle">
						
							<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal></td>
					<td width="99%">
						<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" onselectedindexchanged="LanguagesDropdownlist_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
			</table>
			</ContentTemplate></asp:UpdatePanel>
		</td>
	</tr>
</table>

	<asp:UpdatePanel Id="AnswersUpdatePanel" runat="server">			
	<ContentTemplate>

<asp:PlaceHolder ID="AnswerOverviewPlaceHolder" runat="server">
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td>

				<asp:DataGrid ID="AnswersDataGrid" runat="server" CssClass="TableGrid" CellPadding="6" AutoGenerateColumns="False" OnItemDataBound="AnswersDataGrid_ItemDataBound" OnEditCommand="AnswersDataGrid_EditCommand" OnItemCommand="AnswersDataGrid_ItemCommand" OnDeleteCommand="AnswersDataGrid_DeleteCommand">
					<AlternatingItemStyle CssClass="TableAlternatingListRow" ></AlternatingItemStyle>
					<ItemStyle CssClass="TableListRow"></ItemStyle>
					<HeaderStyle  CssClass="TableGridHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn ItemStyle-Wrap="false" HeaderText="Order">
							<ItemTemplate >
	<asp:imagebutton id="UpImageButton" ImageUrl="../images/questionupbutton.png" CommandName="up" runat="server"></asp:imagebutton>
	&nbsp;<asp:imagebutton id="DownImageButton" ImageUrl="../images/questiondownbutton.png" CommandName="down" runat="server"></asp:imagebutton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn ItemStyle-HorizontalAlign="Center" HeaderText="Selected">
							<ItemTemplate>
								<dictrlc:GlobalRadioButton GroupName="GlobalSelected" ID="DefaultRadio" Enabled="False"
									Visible="false" runat="server" />
								<asp:CheckBox ID="DefaultCheckBox" Enabled="False" Visible="false" runat="server" />
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="AnswerText" ItemStyle-Width="99%" HeaderText="Text">
							<ItemStyle Wrap="true"></ItemStyle>
						</asp:BoundColumn>
						<asp:TemplateColumn ItemStyle-Wrap="false" HeaderText="Type">
							<ItemTemplate>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Rating">
							<ItemTemplate>
								<asp:Label ID="RatingLabel" runat="server"></asp:Label>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Score">
							<ItemTemplate>
								<asp:Label ID="ScorePoint" runat="server"></asp:Label>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:EditCommandColumn ButtonType="LinkButton" UpdateText="Update" CancelText="Cancel"
							EditText="Edit"></asp:EditCommandColumn>
						<asp:ButtonColumn Text="Delete" CommandName="Delete"></asp:ButtonColumn>
					</Columns>
				</asp:DataGrid><br>
				<asp:Button ID="AddNewAnswerButton" runat="server" Text="Add new answer" onclick="AddNewButton_Click"></asp:Button>
	            <asp:Button ID="CancelButton" runat="server"></asp:Button>
				
				</td>
		</tr>
	</table>
</asp:PlaceHolder>
	</ContentTemplate></asp:UpdatePanel>


           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="AnswersUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
            
			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server" TargetControlID="QuestionSelectorPanel">
	              <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 