<%@ Control Language="c#" CodeBehind="FSMetaData.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FSMetaData" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ Register Src="../UserControls/MetaDataEditor.ascx" TagName="MetaData" TagPrefix="uc1" %>
<%@ Register Src="../UserControls/MetaDataValues.ascx" TagName="MetaValues" TagPrefix="uc1" %>

<script type="text/javascript">

	function tabLoaded(sender, args)
	{
		resizeContainer(sender, args)
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=MetaDataTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Metadata.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="FSMetaDataTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
		</td>
	</tr>
</table>
	<table>
	                <tr>
		                <td>
			                &nbsp;&nbsp;
		                </td>
		                <td width="99%">
                <asp:UpdatePanel RenderMode="Inline" ID="MessageUpdatePanel" runat="server" ><ContentTemplate>
                <asp:Label ID="MessageLabel" Visible="false" ForeColor="Green" runat="server"></asp:Label>
                </ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:TabContainer runat="server" ID="MetaDataTabs" ActiveTabIndex="0" Height="250px"
	Width="100%" OnClientTabLoaded="tabLoaded" OnClientActiveTabChanged="resizeContainer">
	<ajaxToolkit:TabPanel runat="server" ID="QuestionMetaDataTab" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
				<ContentTemplate>
				<uc1:MetaData ID="QuestionMetaDataControl" runat="server" />
				</ContentTemplate>
			</asp:UpdatePanel>
			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
				TargetControlID="PageUpdatePanel">
				<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
				</Animations>
			</ajaxToolkit:UpdatePanelAnimationExtender>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
		<ajaxToolkit:TabPanel runat="server" ID="AnswersMetaDataTab" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
				<ContentTemplate>
				<uc1:MetaData ID="AnswerMetaDataControl" runat="server" />
				</ContentTemplate></asp:UpdatePanel>
				</ContentTemplate>
				</ajaxToolkit:TabPanel>					

		<ajaxToolkit:TabPanel runat="server" ID="FormsMetaDataTab" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="UpdatePanel2" runat="server">
				<ContentTemplate>
						<uc1:MetaData ID="FormMetaDataControl" runat="server" />
				</ContentTemplate></asp:UpdatePanel>
				</ContentTemplate>
			</ajaxToolkit:TabPanel>					
		<ajaxToolkit:TabPanel runat="server" ID="RespondentMetaDataTab" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="UpdatePanel3" runat="server">
				<ContentTemplate>
						<uc1:MetaData ID="RespondentMetaDataControl" runat="server" />
				</ContentTemplate></asp:UpdatePanel>
				</ContentTemplate>
			</ajaxToolkit:TabPanel>					
		<ajaxToolkit:TabPanel runat="server" ID="RespondentQuestionMetaDataTab" Visible="false" HeaderText="">
		<ContentTemplate>
			<asp:UpdatePanel ID="UpdatePanel4" runat="server">
				<ContentTemplate>
						<uc1:MetaData ID="RespondentQuestionMetaDataControl" runat="server" />
				</ContentTemplate></asp:UpdatePanel>
				</ContentTemplate>
			</ajaxToolkit:TabPanel>					
	
</ajaxToolkit:TabContainer>
<br />
</td> </tr> </table> 