<%@ Control Language="c#" Codebehind="FileManager.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FileManager" %>
<%@ Register TagPrefix="dictrl" Namespace="DataIllusion.FeedbackServer.WebAdmin" Assembly="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<table class="adminTitle">
	<tr>
		<td >
			<a href="help/FeedbackServer.htm#Reports/File_manager.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="UploadedFilesTitle" runat="server" Text="Uploaded files - Page"
				EnableViewState="False"></asp:Literal><asp:Label ID="CurrentPendingPageLabel" runat="server">1</asp:Label>&nbsp;/
			<asp:Label ID="TotalPendingPagesLabel" runat="server">1</asp:Label></td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
<Triggers><asp:PostBackTrigger ControlID="ValidatedFilesDataGrid" /></Triggers>
<ContentTemplate>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
			<asp:DataGrid ID="ValidatedFilesDataGrid" runat="server" AutoGenerateColumns="False"
				 CssClass="TableGrid" CellPadding="6"  AllowCustomPaging="True" PageSize="1" onselectedindexchanged="ValidatedFilesDataGrid_SelectedIndexChanged" OnItemDataBound="ValidatedFilesDataGrid_ItemDataBound">
					<AlternatingItemStyle CssClass="TableAlternatingListRow" ></AlternatingItemStyle>
					<ItemStyle CssClass="TableListRow"></ItemStyle>
					<HeaderStyle  CssClass="TableGridHeader"></HeaderStyle>
				<Columns>
					<dictrl:RowSelectorColumn AllowSelectAll="True"></dictrl:RowSelectorColumn>
					<asp:ButtonColumn Text="Download" HeaderText="" CommandName="download"></asp:ButtonColumn>
					<asp:ButtonColumn Text="Details" HeaderText="Posted by" CommandName="Select"></asp:ButtonColumn>
					<asp:BoundColumn DataField="FileName" HeaderText="File name"></asp:BoundColumn>
					<asp:BoundColumn DataField="FileType" HeaderText="Type"></asp:BoundColumn>
					<asp:TemplateColumn>
						<ItemTemplate>
							<%#(Math.Round(double.Parse(DataBinder.Eval(Container.DataItem, "FileSize").ToString())/1048576*100000)/100000).ToString("0.##")  + " " + GetPageResource("UploadFileSizeFormat")%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="SaveDate" HeaderText="Upload date" DataFormatString="{0:dd/MM/yyyy}">
					</asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="GroupGuid"></asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="VoterId"></asp:BoundColumn>
				</Columns>
			</asp:DataGrid>
			<p align="right" class="mediumText">
				<asp:LinkButton ID="PreviousValidatedPageLinkButton" runat="server" onclick="PreviousValidatedPageLinkButton_Click"><< Previous page</asp:LinkButton>&nbsp;<asp:LinkButton
					ID="NextValidatedPageLinkButton" runat="server" onclick="NextValidatedPageLinkButton_Click_1">Next page >></asp:LinkButton></p>
			<p align="left">
				<asp:Button ID="DeleteFilesButton" runat="server" Text="Delete selected files" onclick="DeleteFilesButton_Click"></asp:Button></p>
		</td>
	</tr>
</table>
<asp:PlaceHolder ID="FileExportPlaceHolder" runat="server">
	<br/>
	<br/>
<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Reports/File_manager.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="ExportFilesTitle" EnableViewState="False" runat="server" Text=""></asp:Literal></td>
		</tr>
	</table>
<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td>
				<table >
					<tr>
						<td valign="top" nowrap class="labelStyle">
							
								<asp:Literal ID="CreateGroupsLabel" EnableViewState="False" Text="Create group directories"
									runat="server"></asp:Literal></td>
						<td width="99%">
							<asp:DropDownList ID="FileGroupsDropDownList" runat="server">
							</asp:DropDownList></td>
					</tr>
					<tr>
						<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="ServerPathLabel" EnableViewState="False" Text="Path on server :"
									runat="server"></asp:Literal></td>
						<td>
							<asp:TextBox ID="ServerPathTextBox" runat="server" Columns="40"></asp:TextBox><br>
							<asp:Literal ID="PathExampleLabel" EnableViewState="False" Text="e.g : c:\myfiledirectory"
								runat="server"></asp:Literal><br>
						</td>
					</tr>
				</table>
				<asp:Button ID="ExportFilesButton" Text="Export to server" runat="server" onclick="ExportFilesButton_Click"></asp:Button></td>
		</tr>
	</table>
</asp:PlaceHolder>
</ContentTemplate> </asp:UpdatePanel>

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 


