<%@ Control Language="c#" Codebehind="ImportData.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ImportData" %>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Data_import.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="VoterImportTitle" runat="server" Text="Data Import Step 1 - Settings"></asp:Literal></td>
	</tr>
</table>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>

<asp:PlaceHolder ID="MappingSettingsPlaceholder" runat="server">
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table border="0">
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="ImportFileLabel" EnableViewState="False" runat="server" Text="Import File :"></asp:Literal></td>
						<td width="99%">
                            <input id="ImportFile" type="file" name="ImportFile" runat="server"></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="ColumnDelimiterLabel" EnableViewState="False" runat="server" Text="Column delimiter :"></asp:Literal></td>
						<td >
					<asp:DropDownList ID="ColumnDelimiterDropDownList" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="ColumnDelimiterDropDownList_SelectedIndexChanged">
								<asp:ListItem Value=",">,</asp:ListItem>
								<asp:ListItem Value=";">;</asp:ListItem>
								<asp:ListItem Value="Tabulation">Tabulation</asp:ListItem>
								<asp:ListItem Value="Other">Other</asp:ListItem>
							</asp:DropDownList>&nbsp;<asp:TextBox ID="ColumnDelimiterTextBox" runat="server" Visible="False"
								MaxLength="1" Columns="1"></asp:TextBox>					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="FieldDelimiterLabel" EnableViewState="False" runat="server" Text="Field delimiter :"></asp:Literal></td>
						<td >
                            <asp:TextBox ID="FieldDelimiterTextBox" Text='"' runat="server" Columns="1" MaxLength="1"></asp:TextBox>
                            </td>
					</tr>
					<tr>
						<td nowrap class="labelStyle"><asp:Literal ID="SelectedAnswerMarkLabel" runat="server" EnableViewState="true" Text="Selection answers select mark :"></asp:Literal></td>
						<td>
							<asp:DropDownList ID="SelectedMarkDropDownList" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="SelectedMarkDropDownList_SelectedIndexChanged">
								<asp:ListItem Value="1">1</asp:ListItem>
								<asp:ListItem Value="AnyChar">Any character</asp:ListItem>
								<asp:ListItem Value="Other">Other</asp:ListItem>
							</asp:DropDownList>&nbsp;
							<asp:TextBox ID="SelectAnswerMarkTextbox"  Visible="false" runat="server" Columns="1"></asp:TextBox>
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle"><asp:Literal ID="UnSelectedAnswerMarkLabel" runat="server" EnableViewState="true" Text="Selection answers un-selected mark :"></asp:Literal></td>
						<td>
							<asp:DropDownList ID="UnSelectedMarkDropDownList" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="UnSelectedMarkDropDownList_SelectedIndexChanged">
								<asp:ListItem Value="1">0</asp:ListItem>
								<asp:ListItem Value="AnyChar">Any character</asp:ListItem>
								<asp:ListItem Value="NoChar">No character</asp:ListItem>
								<asp:ListItem Value="Other">Other</asp:ListItem>
							</asp:DropDownList>&nbsp;
							<asp:TextBox ID="UnSelectAnswerMarkTextbox"  Visible="false" runat="server" Columns="1"></asp:TextBox>
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="DisplayReportingAliasesLabel" EnableViewState="False" runat="server" Text="Display reporting aliases :"></asp:Literal></td>
						<td >
                            <asp:CheckBox ID="DisplayAliasesCheckBox" runat="server" />
						</td>
                    </tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="AliasMappingLabel" EnableViewState="False" runat="server" Text="Map header against alias :"></asp:Literal></td>
						<td >
                            <asp:CheckBox ID="AliasMapCheckBox" runat="server" />
						</td>
                    </tr>
			</table>
			<br>
			&nbsp;<asp:Button ID="GenerateMappingsButton" runat="server" Text="Generate Mappings >>" OnClick="GenerateMappingsButton_Click">
			</asp:Button>
		</td>
	</tr>
</table>
</asp:PlaceHolder>

<asp:PlaceHolder ID="MappingStepPlaceHolder" runat="server" Visible="false">
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<asp:Button ID="ImportMappingButton1" runat="server" Text="Import" OnClick="ImportMappingButton_Click">
			</asp:Button>
			<asp:Button ID="CancelButton1" runat="server" Text="Cancel" OnClick="CancelButton_Click">
			</asp:Button>

			<asp:PlaceHolder ID="MappingTablePlaceHolder" runat="server" ></asp:PlaceHolder>
			&nbsp;
			<asp:Button ID="ImportMappingButton" runat="server" Text="Import" OnClick="ImportMappingButton_Click">
			</asp:Button>
			<asp:Button ID="CancelButton" runat="server" Text="Cancel" OnClick="CancelButton_Click">
			</asp:Button>
		</td>
	</tr>
</table>
</asp:PlaceHolder>
	
