<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register TagPrefix="uc1" TagName="LanguageListControl" Src="../UserControls/LanguageListControl.ascx" %>
<%@ Control Language="c#" Codebehind="MultiLanguages.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.MultiLanguagesPage" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 


<table class="adminTitle" >
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#MultiLanguage/Multi_language_settings.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="MultiLanguagesTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
<Triggers>

<asp:PostBackTrigger ControlID="ExportLanguageButton" />
<asp:PostBackTrigger ControlID="ImportLanguageButton" />

</Triggers>

<ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="EnableMultiLanguagesLabel" runat="server" EnableViewState="False"
								Text="Enable multi-languages :"></asp:Literal></td>
					<td width="99%">
						<asp:CheckBox ID="MultiLanguagesCheckBox" runat="server"
						 AutoPostBack="True" OnCheckedChanged="MultiLanguagesCheckBox_CheckedChanged">
						
						</asp:CheckBox></td>
				</tr>
				<asp:PlaceHolder ID="MultiLanguagesPlaceHolder" Visible="False" runat="server">
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="MultiLanguagesModeLabel" EnableViewState="False" runat="server"
									Text="Multi languages mode :"></asp:Literal></td>
						<td>
							<asp:DropDownList ID="MultiLanguagesModeDropDownList" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="MultiLanguagesModeDropDownList_SelectedIndexChanged">
							</asp:DropDownList></td>
					</tr>
					<tr id="VariableNameRow" runat="server"  Visible="False">
						<td valign="top" nowrap class="labelStyle">
							
								<asp:Literal ID="VariableNameLabel" runat="server"  Text="Variable name :"></asp:Literal></td>
						<td>
							<p>
								<asp:TextBox ID="VariableNameTextBox" runat="server"></asp:TextBox><asp:Button
									ID="VariableNameUpdateButton" runat="server" Text="Update" OnClick="VariableNameUpdateButton_Click">
								</asp:Button><br>
								<asp:Label ID="VariableNameInfoLabel" runat="server"></asp:Label></p>
						</td>
					</tr>

					<tr>
						<td valign="top" nowrap class="labelStyle">
							
								<asp:Literal ID="MultiLanguageIntroduction" EnableViewState="False" runat="server"
									Text="Introduction text :"></asp:Literal></td>
						<td>						
							<uc1:RichTextBox ID="LanguageIntroductionText" 
							 Width="450" Height="200" ShowGallery = "false" ShowPipeIcon="false"
							ToolbarLayout="FSDefaultBasic" runat="server" />
							
						</td>
					</tr>
					<tr>
						<td valign="top" nowrap class="labelStyle">
							
								<asp:Literal ID="EnabledLanguagesLabel" EnableViewState="False" runat="server" Text="Enabled languages :"></asp:Literal></td>
						<td>
							<table>
								<tr>
									<td valign="top">
										<asp:ListBox ID="DisabledLanguagesListBox" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DisabledLanguagesListBox_SelectedIndexChanged">
										</asp:ListBox></td>
									<td>
										&gt;&gt;<br>
										&lt;&lt;</td>
									<td valign="top">
										<asp:ListBox ID="EnabledLanguagesListBox" runat="server" AutoPostBack="True" OnSelectedIndexChanged="EnabledLanguagesListBox_SelectedIndexChanged">
										</asp:ListBox></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="DefaultLanguageLabel" EnableViewState="False" runat="server" Text="Set default language to :"></asp:Literal></td>
						<td>
							<asp:DropDownList ID="DefaultLanguageDropdownlist" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="DefaultLanguageDropdownlist_SelectedIndexChanged">
							</asp:DropDownList></td>
					</tr>
					<tr>
						<td>
							<br>
							<asp:Button ID="UpdateLanguageButton" runat="server" Text="Update" OnClick="UpdateLanguageButton_Click">
							</asp:Button></td>
					</tr>
				</asp:PlaceHolder>
			</table>
		</td>
	</tr>
</table>

<asp:PlaceHolder ID="ImportExportPlaceHolder" runat="server" Visible="False">
	<br/>
	<br/>
<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#MultiLanguage/Multi_language_export___import.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="MultiLanguageExportTitle" EnableViewState="False" Text="" runat="server"></asp:Literal></td>
		</tr>
	</table>
<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<table>
					<tr>
						<td nowrap class="labelStyle">
								<asp:Literal ID="ExportFromLabel" EnableViewState="False" runat="server" Text="Export from :"></asp:Literal></td>
						<td width="99%">
							<asp:DropDownList ID="ExportLanguagesDropdownlist" runat="server">
							</asp:DropDownList></td>
					</tr>
					<tr>
						<td colspan="2">
							<asp:Button ID="ExportLanguageButton" runat="server" Text="Export" OnClick="ExportLanguageButton_Click">
							</asp:Button></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<br/>
	<br/>
<table class="adminTitle" >
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#MultiLanguage/Multi_language_export___import.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="TranslationXmlImportTitle" EnableViewState="False" Text="" runat="server"></asp:Literal></td>
		</tr>
	</table>
<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<table>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="ImportLanguageFileLabel" EnableViewState="False" runat="server"
									Text="Import language file :"></asp:Literal></td>
						<td>
							<input id="ImportFile" type="file" name="ImportFile" runat="server"></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="ImportLanguageAsLabel" EnableViewState="False" runat="server" Text="Import as :"></asp:Literal></td>
						<td width="99%">
							<asp:DropDownList ID="ImportLanguagesDropdownlist" runat="server">
							</asp:DropDownList></td>
					</tr>
					<tr>
						<td colspan="2">
							<asp:Button ID="ImportLanguageButton" runat="server" Text="Import" OnClick="ImportLanguageButton_Click">
							</asp:Button></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</asp:PlaceHolder>
</ContentTemplate></asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
            