<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls"
	Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Register TagPrefix="uc1" TagName="ReportItems" Src="../UserControls/ReportItems.ascx" %>
<%@ Control Language="c#" Codebehind="ReportAnalysis.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ReportAnalysis" %>
<%@ Register TagPrefix="uc1" TagName="ReportListControl" Src="../UserControls/ReportListControl.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<link type="text/css" rel="stylesheet" href="fsstyle.aspx" />

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Report_analysis.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="ReportAnalysisTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<table class="filterBackground">
<tr><td>
	<table id="FilterTable" runat="server" cellpadding="2">
		<tr>
			<td>
				&nbsp;&nbsp;&nbsp;
			</td>
			<td nowrap class="labelStyle" valign="middle">
				<asp:Literal ID="DateStartFilterLiteral" runat="server" EnableViewState="False" Text="Start date"></asp:Literal>
			</td>
			<td nowrap="nowrap">
				<asp:TextBox ID="StartDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
					ID="ShowStartDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
				</asp:ImageButton>
				<ajaxToolkit:CalendarExtender runat="server" PopupButtonID="ShowStartDateImageButton"
					TargetControlID="StartDateTextBox" />
			</td>
			<td>
				&nbsp;&nbsp;&nbsp;
			</td>
			<td nowrap class="labelStyle" valign="middle">
				<asp:Literal ID="FilterEndDateLabel" runat="server" EnableViewState="False" Text="End date"></asp:Literal>
			</td>
			<td nowrap="nowrap">
				<asp:TextBox ID="EndDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
					ID="ShowEndDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
				</asp:ImageButton>
				<ajaxToolkit:CalendarExtender runat="server" PopupButtonID="ShowEndDateImageButton"
					TargetControlID="EndDateTextBox" />
			</td>
			<td>
				&nbsp;&nbsp;
			</td>
			<td nowrap class="labelStyle" valign="middle">
				<asp:Literal ID="ReportItemFilterLabel" runat="server" EnableViewState="False" Text="Filter"></asp:Literal>
			</td>
			<td>
				<asp:DropDownList ID="FilterDropDownList" runat="server" Font-Size="75%">
				</asp:DropDownList>
			</td>
			<td>
				<asp:DropDownList ID="LanguagesDropdownlist" runat="server" Font-Size="75%">
				</asp:DropDownList>
			</td>
			<td>
				<asp:Button ID="applyfilterbutton" runat="server" OnClick="Applyfilterbutton_Click"
					Text="apply filter" />
			</td>
			<td>
				&nbsp;&nbsp;
			</td></tr>
	</table>
</td>
<td width="99%" align="right" style="padding:2px">
						<asp:DropDownList ID="ReportLanguageDropDownList" OnSelectedIndexChanged="ReportDropDownListIndexChanged" AutoPostBack="true" runat="server" Font-Size="75%">
						</asp:DropDownList>
</td>
</tr>
</table>

<div class="feedbackserver">
<table width="95%" align="center">
	<tr>
		<td><asp:PlaceHolder ID="ReportPlaceHolder" runat="server"></asp:PlaceHolder></td>
	</tr>
</table>
</div>

<div id="report_analysis"></div>
