<%@ Register TagPrefix="uc1" TagName="ReportFiltering" Src="../UserControls/ReportFiltering.ascx" %>
<%@ Control Language="c#" CodeBehind="ReportSettings.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ReportSettings" %>
<%@ Register TagPrefix="uc1" TagName="ReportListControl" Src="../UserControls/ReportListControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ReportSeries" Src="../UserControls/ReportSeries.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">
	function initTab(sender, args) {
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args) {
		if (!sender)
			return;

		var panelBody = $get('<%=QuestionTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250) {
			panelBody.style.height = "250px";
		}
		else {
			panelBody.style.height = scrollHeight + "px";
		}
	}
	
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Report_settings.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="EditReportTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
		</td>
	</tr>
</table>
<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="QuestionTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" On HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
							<ContentTemplate>
								<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
								<table class="settingsTable">
									<tr>
										<td>
											<table>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="ReportNameLabel" runat="server" EnableViewState="False" Text="Report name :"></asp:Literal>
													</td>
													<td width="99%">
														<asp:TextBox ID="ReportNameTextBox" Columns="40" runat="server"></asp:TextBox>
													</td>
												</tr>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="TemplateReportLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
													</td>
													<td width="480">
														<asp:CheckBox ID="TemplateReportCheckBox" runat="server"></asp:CheckBox>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
						<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server"
							TargetControlID="PageUpdatePanel">
							<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
							</Animations>
						</ajaxToolkit:UpdatePanelAnimationExtender>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="FilterTab" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel1" runat="server">
							<ContentTemplate>
								<uc1:ReportFiltering ID="ReportFilteringControl" runat="server"></uc1:ReportFiltering>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="FilterSeriesTab" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="UpdatePanel2" runat="server">
							<ContentTemplate>
								<uc1:ReportSeries ID="ReportSeriesControl" runat="server"></uc1:ReportSeries>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>
<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:Button ID="AddReportButton" runat="server" Text="Add" OnClick="AddReportButton_Click">
			</asp:Button><asp:Button ID="UpdateReportButton" runat="server" Text="Update" OnClick="UpdateReportButton_Click">
			</asp:Button><asp:Button ID="DeleteReportButton" runat="server" Text="Delete" OnClick="DeleteReportButton_Click">
			</asp:Button><asp:Button ID="CloneReportButton" runat="server" Text="Clone" OnClick="CloneReportButton_Click">
			</asp:Button>
		</td>
	</tr>
</table>
