<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls" Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.Data" %>
<%@ Import Namespace="DataIllusion.FeedbackServer" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.Enums" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.Helpers" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Control Language="c#" CodeBehind="RespondentReport.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.RespondentReport" %>
<%@ Register Src="../UserControls/MetaDataValues.ascx" TagName="MetaValues" TagPrefix="uc1" %>

<script type="text/javascript" src="scripts/fslang.aspx" ></script>

<script type="text/javascript">
	function button1Click() 
	{
		if (<%=MetaDatas.MetaDatas.Count > 0 ? "validateEntry() &&" : "" %> <%=GlobalConfig.PagesValidationFunction + RespondentAnswers.UniqueID%>())
		{
			<%=Page.ClientScript.GetPostBackEventReference(UpdateAnswersLinkButton, "").Replace("javascript:", "")%>;
			return true;
		}
		else
		{
			return false;
		}
	}

	function button2Click() 
	{
		if (confirm(FeedbackServerLang.DeleteRespondentConfirmation))
		{
			<%=Page.ClientScript.GetPostBackEventReference(DeleteAnswersLinkButton, "").Replace("javascript:", "")%>;
			return true;
		}
		return false;
	
	}
	
	function switchToMetaDataTab()
	{}
	
</script>

<style type="text/css">
	.calendarStyle .ajax__calendar_container
	{
		border: 1px solid #646464;
		background-color: #ffffff;
		color: #000000;
	}
	.calendarStyle .ajax__calendar_footer
	{
		border-top: 1px solid #f5f5f5;
	}
	.calendarStyle .ajax__calendar_dayname
	{
		border-bottom: 1px solid #f5f5f5;
	}
	.calendarStyle .ajax__calendar_day
	{
		border: 1px solid #ffffff;
	}
	.calendarStyle .ajax__calendar_month
	{
		border: 1px solid #ffffff;
	}
	.calendarStyle .ajax__calendar_year
	{
		border: 1px solid #ffffff;
	}
	.calendarStyle .ajax__calendar_active .ajax__calendar_day
	{
		background-color: #edf9ff;
		border-color: #0066cc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_active .ajax__calendar_month
	{
		background-color: #edf9ff;
		border-color: #0066cc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_active .ajax__calendar_year
	{
		background-color: #edf9ff;
		border-color: #0066cc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_other .ajax__calendar_day
	{
		background-color: #ffffff;
		border-color: #ffffff;
		color: #646464;
	}
	.calendarStyle .ajax__calendar_other .ajax__calendar_year
	{
		background-color: #ffffff;
		border-color: #ffffff;
		color: #646464;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_day
	{
		background-color: #edf9ff;
		border-color: #daf2fc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_month
	{
		background-color: #edf9ff;
		border-color: #daf2fc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_year
	{
		background-color: #edf9ff;
		border-color: #daf2fc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_title
	{
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_today
	{
		color: #0066cc;
	}
</style>

<table width="99%">
	<tr>
		<td>
			&nbsp;
		</td>
		<td width="99%">
						<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
						<Triggers><asp:PostBackTrigger ControlID="RespondentFilesExportButton"/></Triggers>
							<ContentTemplate>
								<asp:LinkButton ID="UpdateAnswersLinkButton" Visible="true" Text="" OnClick="UpdateVoterAnswersButton_Click" runat="server"></asp:LinkButton>
								<asp:LinkButton ID="DeleteAnswersLinkButton" Visible="true" Text="" OnClick="DeleteVoterAnswersButton_Click" runat="server"></asp:LinkButton>
			<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table><tr><td valign="top">
						<table class="settingsTable">
							<tr>
								<td>
									<table border="0" cellpadding="7" cellspacing="0">
										<tr>
											<td nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="VoteRecordedLabel" runat="server" EnableViewState="False">Vote recorded on :</asp:Literal></span><br />
												<asp:Label ID="VoteDateLabel" runat="server"></asp:Label>

											</td>
											<td valign="top" nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="TimeToTakeLabel" runat="server" EnableViewState="False">Time to take the survey :</asp:Literal></span><br />
												<asp:Label ID="TimeToTakeSurveyLabel" runat="server"></asp:Label>&nbsp;<br>
											</td>
											<td nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="VoterUserNameLabel" runat="server" EnableViewState="False">Voter user name :</asp:Literal></span><br />
												<asp:Label ID="VoterUserName" runat="server"></asp:Label>
											</td>
											<td nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="VoterEmailLabel" runat="server" EnableViewState="False">Voter Email :</asp:Literal></span><br />
												<asp:Label ID="VoterEmail" runat="server"></asp:Label>
											</td>
											<td nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="VoterLanguageLabel" runat="server" EnableViewState="False">Voter language :</asp:Literal></span><br />
												<asp:Label ID="VoterLanguageValueLabel" runat="server"></asp:Label>
											</td>
											<td nowrap>
											<span style="font-weight:bold;color:#222222"><asp:Literal ID="VoterIPAddressLabel" runat="server" EnableViewState="False">IP address :</asp:Literal></span><br />
												<asp:Label ID="IPAddressLabel" runat="server"></asp:Label>
											</td>
											<td valign="top" nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="ArchivedOnLabel" runat="server" EnableViewState="False">Archived on</asp:Literal></span><br />
												<asp:Label ID="ArchivedOnDateLabel" runat="server"></asp:Label>&nbsp;<br>
											</td>
											<td nowrap>
												<span style="font-weight:bold;color:#222222"><asp:Literal ID="VoterDBIDLabel" runat="server" EnableViewState="False">Voter DB ID :</asp:Literal></span><br />
												<asp:Label ID="VoterUIDLabel" runat="server"></asp:Label>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
</td><td width="99%" valign="top" align="right">
	<asp:ImageButton ImageAlign="Middle" ID="RespondentFilesExportButton" OnClick="RespondentFilesExportButton_Click" runat="server" ImageUrl="../images/wordprint.gif" />
</td></tr></table>						
						<asp:PlaceHolder ID="MetaDataPlaceHolder" Visible="true" runat="server">

							<table class="settingsTable">
								<tr>
								<td>
									<table class="respondentUpdateBreakOptions" width="100%">
										<tr>
											<td nowrap>
												&nbsp;<span class="respondentReportTitleFont"><asp:Literal ID="MetaDataTitle" runat="server"
													Text="" EnableViewState="False"></asp:Literal></span>&nbsp;
											</td>
										</tr>
									</table>
								</td>
								</tr>
								<tr>
									<td>
										<table>
											<tr>
												<td>
													<uc1:MetaValues ID="MetaValuesControl" runat="server" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</asp:PlaceHolder>

						<asp:PlaceHolder ID="AddInVoterDataPlaceHolder" runat="server"></asp:PlaceHolder>

						<asp:PlaceHolder ID="PanelistVoterDataPlaceHolder" runat="server">

							<table class="settingsTable">
								<tr>
								<td>
<table class="respondentUpdateBreakOptions" width="100%">
		<tr>
			<td nowrap>
				&nbsp;<span class="respondentReportTitleFont"><asp:Literal ID="PanelistAttributesTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></span>&nbsp;</td>
		</tr>
	</table>
								
								</td>
								</tr>
								<tr>
									<td>
										<table>
											<tr>
												<td>
													<asp:PlaceHolder ID="PanelistReportPlaceHolder" runat="server"></asp:PlaceHolder>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</asp:PlaceHolder>
								<table class="settingsTable" cellpadding="0" cellspacing="0" width="100%">
											<tr>
										<td>
											<vts:SurveyBox ID="RespondentAnswers" runat="server" EnableValidation="true" />
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender>
		</td>
	</tr>
</table>
