<%@ Control Language="c#" Codebehind="UsersManager.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UsersManager" %>
<%@ Register TagPrefix="uc1" TagName="UsersOptionsControl" Src="../UserControls/UsersOptionsControl.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<!--begin YUI Utilities -->
<script type="text/javascript" src="scripts/build/yho/yho-min.js"></script>
<script type="text/javascript" src="scripts/build/event/event-min.js"></script>
<script type="text/javascript" src="scripts/build/connection/connection-min.js"></script>
<script type="text/javascript" src="scripts/build/treeview/treeview-min.js"></script>
<script type="text/javascript" src="scripts/build/dom/dom-min.js"></script>
<script type="text/javascript" src="scripts/build/dragdrop/DivDDManager.js" ></script>
<script type="text/javascript" src="scripts/build/dragdrop/dragdrop-min.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeview.js"></script>
<script type="text/javascript" src="scripts/build/treeview/FSNode.js"></script>
<script type="text/javascript" src="scripts/build/dragdrop/FSDivDD.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeLoader.js"></script>
<script type="text/javascript" src="scripts/build/treeview/TaskNode.js"></script>

<style type="text/css">

	table { font-size:1em; }

</style>


<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Users/User_manager.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%"><asp:Literal ID="UsersManagerTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
				<tr>
					<td>
							<asp:Literal ID="UserToEditLabel" runat="server" EnableViewState="False" Text="Select a user to edit / view :"></asp:Literal>
							<br/>
							<asp:DropDownList ID="UsersDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="User_IndexChanged">
							</asp:DropDownList><strong><asp:HyperLink ID="CreateUserHyperLink" runat="server">Click here to create a new user</asp:HyperLink></strong>
					</td>
				</tr>
			</table>
			<asp:UpdatePanel ID="ManagerPanel" runat="server"><ContentTemplate>
				<asp:PlaceHolder id="ProviderManagementInterfacePlaceHolder" runat="server"></asp:PlaceHolder>
			</ContentTemplate>
			</asp:UpdatePanel>
		</td>
	</tr>
</table>
            <ajaxToolkit:UpdatePanelAnimationExtender runat="server" TargetControlID="ManagerPanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
<br/>
<uc1:UsersOptionsControl ID="UsersOptions" runat="server" Visible="False"></uc1:UsersOptionsControl>
