<%@ Control Language="c#" Codebehind="AddPanelView.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.AddPanelView" %>
<%@ Register Src="../UserControls/PanelViewConditions.ascx" TagName="PanelViewConditions" TagPrefix="uc2" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ Register Src="../UserControls/DynamicPanelistGridView.ascx" TagName="DynamicPanelistGridView" TagPrefix="uc1" %>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panel_views.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="CreatePanelViewTitle" runat="server" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server" UpdateMode="Conditional">
<Triggers><asp:AsyncPostBackTrigger ControlID="PanelViewTypeDropdownList"  /> </Triggers>
	<ContentTemplate>
		<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<table>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="PanelViewNameLabel" runat="server" EnableViewState="False" Text="Panel view name :"></asp:Literal>
							</td>
							<td width="99%">
								<asp:TextBox ID="PanelViewNameTextBox" Columns="40" runat="server"></asp:TextBox><asp:RequiredFieldValidator ID="PanelViewNameRequired" ControlToValidate="PanelViewNameTextBox" runat="server" Display=Dynamic></asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="PanelViewTypeLabel" runat="server" EnableViewState="False" Text="Panel view name :"></asp:Literal>
							</td>
							<td width="99%">
								<asp:DropDownList ID="PanelViewTypeDropdownList" AutoPostBack="true" OnSelectedIndexChanged="PanelViewTypeDropDownList_SelectedIndexChanged"
									runat="server">
								</asp:DropDownList>
							</td>
						</tr>
			<tr>
			<td colspan="2">
				<uc1:DynamicPanelistGridView ID="DynamicPanelistGridView" Visible="false" runat="server" />
			</td>
			</tr>
					</table>
				</td>
			</tr>

		</table>
		<table>
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Button ID="AddPanelViewButton" runat="server" Text="Add" OnClick="AddViewButton_Click">
					</asp:Button>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<script type="text/javascript">
	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}
</script>