<%@ Control Language="c#" Codebehind="BlackListedEmails.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.BlackListedEmails" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
<%@ Register Src="../UserControls/DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>

<script type="text/javascript">
	
	function relistEmail()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.RelistSelections( 
			GetSelectedIds<%=BlacklistedEmailsDynamicGridView.ClientID%>(), relistEmail_callback);
	}
	
	function relistAllEmails()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.RelistAllSelections(relistEmail_callback);
		return false;
	}

	function relistEmail_callback(res) 
	{
		ReloadGrid<%=BlacklistedEmailsDynamicGridView.ClientID%>()
	}
		
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Campaigns/Blacklisted_emails.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%"><asp:Literal ID="BlacklistEmailsTitle" runat="server" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td valign="top">
			<uc1:DynamicGridView ID="BlacklistedEmailsDynamicGridView" runat="server" />
			<input type="button" id="RelistEmailButton" value="<%=GetPageResource("RelistSelectedEmailsButton")%>" onClick="relistEmail()"/>
			<input type="button" id="RelistAllEmailButton" runat="server"  onclick="relistAllEmails()"/>
		</td>
	</tr>
</table>
<script type="text/javascript">
	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}
</script>