<%@ Control Language="c#" CodeBehind="CompletionMailing.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.CompletionMailing" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 


<script language="javascript">

	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onEndHandler);	        

	function onEndHandler(sender,args)
	{	
		resizeContainer($find('<%=ContainerTabs.ClientID%>'));
	}
	
	function initTab(sender, args)
	{	
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
	
		var panelBody = $get('<%=ContainerTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
</script>



<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_Management/Completion_Alerts/Introduction.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="CompletionAlertTitle" runat="server" EnableViewState="False" Text=""></asp:Literal>
		</td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tr>
					<td nowrap class="labelStyle">
						<asp:Literal ID="CompletionAlertsLabel" runat="server" EnableViewState="False">:</asp:Literal>
					</td>
					<td width="99%">
						<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
						
							<ContentTemplate>
								<asp:DropDownList ID="CompletionAlertsDropDownList" runat="server" AutoPostBack="True"
									OnSelectedIndexChanged="CompletionAlertsDropDownList_SelectedIndexChanged">
								</asp:DropDownList>
								<asp:LinkButton ID="AddNewCompletionAlertLinkButton" OnClick="AddNewCompletionAlertLinkButton_Click"
									Visible="true" runat="server"></asp:LinkButton></td>
							</ContentTemplate>
						</asp:UpdatePanel>
					</td>
				</tr>
			</table>
</td></tr></table>			

			<asp:UpdatePanel ID="ReportUpdatePanel" runat="server" UpdateMode="Conditional">
				<Triggers>
					<asp:AsyncPostBackTrigger ControlID="CompletionAlertsDropDownList" />
					<asp:AsyncPostBackTrigger ControlID="AddNewCompletionAlertLinkButton" />
					<asp:AsyncPostBackTrigger ControlID="DeleteButton" />
					<asp:AsyncPostBackTrigger ControlID="AddNotificationButton" />
				</Triggers>
				<ContentTemplate>
<asp:ValidationSummary ID="CompletionValidationSummary" runat="server" CssClass="mediumText"
	ShowSummary="true" DisplayMode="List" ValidationGroup="CompletionValidation" />

<table width="95%">
						<tr>
							<td>
								&nbsp;&nbsp;
							</td>
							<td width="99%">
							
								<ajaxToolkit:TabContainer runat="server" ID="ContainerTabs" ActiveTabIndex="0"
									Height="250px" Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab" Visible="false">
									<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab" HeaderText="Properties">
										<ContentTemplate>
										<asp:UpdatePanel runat="server" ID="PageUpdatePanel" UpdateMode="Conditional">
				<Triggers>
				  <asp:PostBackTrigger ControlID="UploadFileButton" />
				</Triggers>

										<ContentTemplate>
	<table class="settingsTable">
		<tr>
			<td>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
													<table>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="CompletionAlertName" runat="server" EnableViewState="False" Text=""></asp:Literal>
															</td>
															<td>
																<asp:TextBox ID="AlertTitleTextBox" MaxLength="255" runat="server" Columns="60"></asp:TextBox>
																<asp:RequiredFieldValidator ID="TitleValidator" runat="server" ControlToValidate="AlertTitleTextBox"
																	SetFocusOnError="True" ValidationGroup="CompletionValidation">*</asp:RequiredFieldValidator>
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="AlertNotificationTypeLabel" runat="server" EnableViewState="False">:</asp:Literal>
															</td>
															<td>
																<asp:DropDownList ID="EntryNotificationDropdownlist" runat="server" AutoPostBack="True"
																	OnSelectedIndexChanged="EntryNotificationDropdownlist_SelectedIndexChanged1">
																</asp:DropDownList>
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="FromEmailNameNotificationLabel" runat="server" EnableViewState="False"
																	Text="">Email from name :</asp:Literal>
															</td>
															<td>
																<asp:TextBox ID="EmailFromNameTextBox" Columns="60" runat="server"></asp:TextBox><img
																	id="EmailFromNamePipeImage" onclick="" src="../images/pipetags.gif" runat="server">
																<asp:RequiredFieldValidator ID="EmailFromNameRequiredFieldValidator" runat="server"
																	ControlToValidate="EmailFromNameTextBox" SetFocusOnError="True" ValidationGroup="CompletionValidation">*</asp:RequiredFieldValidator>
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="FromEmailNotificationLabel" runat="server" EnableViewState="False"
																	Text="">Email from :</asp:Literal>
															</td>
															<td>
																<asp:TextBox ID="EmailFromTextbox" Columns="60" runat="server"></asp:TextBox><img
																	id="EmailFromImage" onclick="" src="../images/pipetags.gif" runat="server">
																<asp:RequiredFieldValidator ID="EmailFromRequiredFieldValidator" runat="server" ControlToValidate="EmailFromTextBox"
																	SetFocusOnError="True" ValidationGroup="CompletionValidation">*</asp:RequiredFieldValidator>
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="ToEmailNotificationLabel" runat="server" EnableViewState="False"
																	Text="">Email to:</asp:Literal>
															</td>
															<td>
																<asp:TextBox ID="EmailToTextBox" runat="server" Columns="60"></asp:TextBox><img id="EmailToPipeImage"
																	onclick="" src="../images/pipetags.gif" runat="server">
																<asp:RequiredFieldValidator ID="EmailToRequiredFieldValidator" runat="server" ControlToValidate="EmailToTextBox"
																	SetFocusOnError="True" ValidationGroup="CompletionValidation">*</asp:RequiredFieldValidator>
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="NotificationSubjectLabel" runat="server" EnableViewState="False"
																	Text="">Email subject :</asp:Literal>
															</td>
															<td>
																<asp:TextBox ID="EmailSubjectTextbox" runat="server" Columns="60"></asp:TextBox><img
																	id="NotificationPipeImage" onclick="" src="../images/pipetags.gif" runat="server">
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle" valign="top">
																<asp:Literal ID="AlertsAttachementsLabel" runat="server" EnableViewState="true" Text="">Attachements :</asp:Literal>
															</td>
															<td>
																<asp:GridView ID="AttachementGridView" BorderWidth="0" CssClass="smallText" ShowHeader="false"
																	BorderStyle="NotSet" runat="server" AutoGenerateColumns="false" OnRowCommand="AttachementGridView_RowDeleted">
																	<Columns>
																		<asp:BoundField DataField="FileName" />
																		<asp:TemplateField HeaderText="Command">
																			<ItemTemplate>
																				<asp:LinkButton CommandArgument='<%# Eval("FileId")%>' CommandName="Del" ID="Button1"
																					runat="server" Text="(Delete)" />
																			</ItemTemplate>
																		</asp:TemplateField>
																	</Columns>
																</asp:GridView>
																<input id="AttachementFile" type="file" name="AttachementFile" runat="server">
																<asp:Button ID="UploadFileButton" OnClick="UploadButton_Click" runat="server" />
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="IncludeRespondentAttachmentsLabel" runat="server" EnableViewState="true"></asp:Literal>
															</td>
															<td>
																<asp:CheckBox ID="IncludeRespondentAttachmentsCheckBox" runat="server" />
															</td>
														</tr>
														<tr>
															<td nowrap class="labelStyle">
																<asp:Literal ID="ContentTypeLabel" runat="server" EnableViewState="true">Content type :</asp:Literal>
															</td>
															<td>
																<asp:DropDownList ID="ContentTypeDropDownList" runat="server" AutoPostBack="True"
																	OnSelectedIndexChanged="ContentTypeDropDownList_SelectedIndexChanged">
																</asp:DropDownList>
																<img id="TxtBodyPipeImage" onclick="" src="../images/pipetags.gif" runat="server">
															</td>
														</tr>
														<tr>
															<td colspan="2" nowrap class="labelStyle" valign="top">
																<asp:Literal ID="NotificationTemplateLabel" runat="server" EnableViewState="true"
																	Text=""></asp:Literal>
															</td>
															</tr>
															<tr>															
															<td colspan="2">
																<table class="smallText">
																	<tr>
																		<td>
																			<asp:Literal ID="TemplateBodyLabel" runat="server"></asp:Literal>
																		</td>
																	</tr>
																	<tr>
																	<td>
																		<asp:TextBox ID="MailBodyTextBox" runat="server" TextMode="MultiLine" Rows="10" Columns="50"></asp:TextBox>
																		<uc1:RichTextBox ID="RichTextBoxControl" runat="server" />
																	</td>
																	</tr>
																</table>		
															</td>
														</tr>
													</table>
													</td></tr></table>
																							</ContentTemplate>
										</asp:UpdatePanel>
										
										           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

												</ContentTemplate>
									</ajaxToolkit:TabPanel>
									<ajaxToolkit:TabPanel runat="server" ID="ConditionsTab" HeaderText="Filter Conditions">
										<ContentTemplate>
											<asp:UpdatePanel ID="ReportFilterConditionUpdatePanel" runat="server">
												<ContentTemplate>
													<table class="settingsTable">
														<tr>
															<td>
																<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server"
																	Visible="false"></uc1:ConditionRulesEditor>
															</td>
														</tr>
													</table>
												</ContentTemplate>
											</asp:UpdatePanel>
										</ContentTemplate>
									</ajaxToolkit:TabPanel>
								</ajaxToolkit:TabContainer>
							</td>
						</tr>
					</table>
				</ContentTemplate>
			</asp:UpdatePanel>

					<table width="100%" >
						<tr>
							<td>&nbsp;&nbsp;</td>
							<td width="99%">
						<asp:UpdatePanel ID="ButtonsUpdatePanel" runat="server">
							<ContentTemplate>
								<asp:Button ID="AddNotificationButton" runat="server" OnClick="AddNotificationButton_Click"
									Text="Add notification" ValidationGroup="CompletionValidation" />&nbsp;
								<asp:Button ID="UpdateButton" runat="server" OnClick="UpdateButton_Click" ValidationGroup="CompletionValidation"
									Text="Update" />
								<asp:Button ID="DeleteButton" runat="server" OnClick="DeleteButton_Click" Text="Delete" />
							</ContentTemplate>
						</asp:UpdatePanel>
					</td>
				</tr>
			</table>
		
			<br /><br />
			
			
			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="ButtonsUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 



