<%@ Control Language="c#" CodeBehind="PageOptions.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PageOptions" %>
<%@ Register TagPrefix="uc1" TagName="BranchingConditions" Src="..\usercontrols\branchingconditions.ascx" %>
<%@ Register TagPrefix="uc1" TagName="RedirectionConditions" Src="..\usercontrols\redirectionconditions.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SkipPageCondition" Src="..\usercontrols\skippageconditions.ascx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	var formEditor = null;

	Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(onLoadedHandler);	        
	function onLoadedHandler(sender,args)
	{	
		resizeContainer($find('<%=ContainerTabs.ClientID%>'));
	}

	function setupState()
	{
		formEditor = parent.getFormEditor();
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
	
		var panelBody = $get('<%=ContainerTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}

	function cancelUpdate()
	{
		formEditor.onPropertiesCanceledCallBack();
		return false;
	}

</script>

<table width="100%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<ajaxToolkit:TabContainer runat="server" ID="ContainerTabs" ActiveTabIndex="0" Height="250px" Width="100%" OnClientActiveTabChanged="resizeContainer" OnClientTabLoaded="setupState">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PagePropertiesTab"	HeaderText="Properties">
					<ContentTemplate>
						<asp:UpdatePanel ID="PagePropertiesUpdatePanel" runat="server">
							<ContentTemplate>
								<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
								<table class="settingsTable">
									<tr id="LanguageRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
										</td>
										<td width="99%">
											<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
											</asp:DropDownList>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="PageTitleLabel" runat="server" EnableViewState="False" Text="Page title :"></asp:Literal>
										</td>
										<td height="16" width="99%"> 
											<asp:TextBox ID="PageTitleTextBox" runat="server" Columns="40"></asp:TextBox>
										</td>
									</tr>
									<tr id="RandomizeRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="EnableQuestionRandomLabel" runat="server" EnableViewState="False"
												Text="Enable question randomization :"></asp:Literal>
										</td>
										<td width="480">
											<asp:CheckBox ID="RandomQuestionsCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr id="DisableResponseTimerRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="DisableResponseTimerLabel" runat="server" EnableViewState="False"
												Text=""></asp:Literal>
										</td>
										<td width="480">
											<asp:CheckBox ID="DisableResponseTimerCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="DisabledPageLabel" runat="server" EnableViewState="False"/>
										</td>
										<td width="480">
											<asp:CheckBox ID="DisabledPageCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr id="ShowSubmitButtonRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="ShowSubmitLabel" runat="server" EnableViewState="False" Text="Show submit button :"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="ShowSubmitCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr id="UseDefaultHeaderFooterRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="UseDefaultHeaderFooterLabel" runat="server" EnableViewState="False"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="UseDefaultHeaderFooterCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>
									<tr id="UseDefaultPageNavigatorRow" runat="server">
										<td nowrap class="labelStyle">
											<asp:Literal ID="UseDefaultPageNavigatorLabel" runat="server" EnableViewState="False"></asp:Literal>
										</td>
										<td>
											<asp:CheckBox ID="UseDefaultPageNavigatorCheckBox" runat="server"></asp:CheckBox>
										</td>
									</tr>

								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="BranchConditionsTab" HeaderText="Branching Conditions">
					<ContentTemplate>
						<asp:UpdatePanel ID="BranchingConditionUpdatePanel" runat="server">
							<ContentTemplate>
								<uc1:BranchingConditions ID="PageBranchingControl" runat="server"></uc1:BranchingConditions>
							</ContentTemplate>
						</asp:UpdatePanel>
			           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="BranchingConditionUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

					</ContentTemplate>
				</ajaxToolkit:TabPanel>

				<ajaxToolkit:TabPanel runat="server" ID="RedirectionConditionsTab" HeaderText="Redirection Conditions">
					<ContentTemplate>
						<asp:UpdatePanel ID="RedirectionConditionsUpdatePanel" runat="server">
							<ContentTemplate>
								<uc1:RedirectionConditions ID="RedirectionConditionsControl" runat="server"></uc1:RedirectionConditions>
							</ContentTemplate>
						</asp:UpdatePanel>
			           <ajaxToolkit:UpdatePanelAnimationExtender ID="RedirectionPanelAnimationExtender" runat="server" TargetControlID="RedirectionConditionsUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="SkipLogicTab" HeaderText="Skip / Hide Logic">
					<ContentTemplate>
						<asp:UpdatePanel ID="SkipPageUpdatePanel" runat="server">
							<ContentTemplate>
								<uc1:SkipPageCondition runat="server" ID="SkipPageConditionControl" />
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel runat="server" ID="ConfigurationTabPanel" Visible="false" HeaderText="">
					<ContentTemplate>
						<asp:UpdatePanel ID="ConfigurationUpdatePanel" runat="server">
							<ContentTemplate>
								<asp:PlaceHolder ID="ConfigurationPlaceholder" runat="server"></asp:PlaceHolder>
							</ContentTemplate>
						</asp:UpdatePanel>
			           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender2" runat="server" TargetControlID="ConfigurationUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

					</ContentTemplate>
				</ajaxToolkit:TabPanel>

			</ajaxToolkit:TabContainer>

</td></tr></table>
<table width="100%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
            <asp:Button ID="UpdateOptionsButton" runat="server" Text="Update options" OnClick="UpdateOptionsButton_Click"></asp:Button>
		</td>
		<td width="99%">
			<asp:Button id="DeleteButton" runat="server" OnClick="OnDeleteButton_Click" />
			<asp:Button id="CancelButton" runat="server"/>
		</td>	
	</tr>
</table>
		