<%@ Control Language="c#" Codebehind="PanelSurveyParticipation.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelSurveyParticipation" %>
<%@ Register Src="../UserControls/DynamicPanelistGridView.ascx" TagName="DynamicPanelistGridView" TagPrefix="uc1" %>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panel_participation.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="PanelistSurveyAnswersTitle" runat="server" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<uc1:DynamicPanelistGridView ID="DynamicPanelistGridView" runat="server" />
		</td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:Button ID="DeletePanelSurveyParticipation" OnClientClick="return deleteEntries();"
				runat="server" />
		</td>
	</tr>
</table>

<script type="text/javascript">

	function deleteEntries()
	{
		if(confirm('<%=GetPageResource("DeletePanelistAnswersConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DeleteAnsweredPanelistParticipationSelections(GetSelectedIds<%=DynamicPanelistGridView.PanelistGridView.ClientID%>(), <%=PanelId %>, <%=SurveyId %>, 
				deletePanelists_callback);
		return false;
	}

	function deletePanelists_callback(res) 
	{
		ReloadGrid<%=DynamicPanelistGridView.PanelistGridView.ClientID%>()
	}

	function deleteEntry<%=DynamicPanelistGridView.PanelistDynamicGridView.ClientID%>(id)
	{
		if(confirm('<%=GetPageResource("DeletePanelistAnswersConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DeleteAnsweredPanelistParticipationSelections(id, <%=PanelId %>, <%=SurveyId %>, 
			deletePanelists_callback);
	}

	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}	

</script>