<%@ Control Language="c#" Codebehind="PanelistAttributes.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelistAttributes" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
	<style type="text/css">
		.fsCalendarStyle
		{
			background-color: #FFFFFF;
			border : solid 1px #00000;
			z-index : 100;
			position:relative;
			font-family : Arial;
			font-size : x-small;
		}
		
		.calendarStyle .ajax__calendar_container
		{
			border: 1px solid #646464;
			background-color: #ffffff;
			color: #000000;
		}
		.calendarStyle .ajax__calendar_footer
		{
			border-top: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_dayname
		{
			border-bottom: 1px solid #f5f5f5;
		}
		.calendarStyle .ajax__calendar_day
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_month
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_year
		{
			border: 1px solid #ffffff;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_active .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_day
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_other .ajax__calendar_year
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_title
		{
			color: #0066cc;
		}
		.calendarStyle .ajax__calendar_hover .ajax__calendar_today
		{
			color: #0066cc;
		}
		.textboxWatermark
		{
			background-color: #ccddff;
			color: #558899;
		}
		
		.fsFormBuildTable
		{
			font-family : Arial;
			font-size : 14px;
		}
			
	</style>
<style type="text/css">
		.feedbackserver .questionitem
		{
			color: #000000;
			width:100%;
			font-size:1em;
		}
</style>

<asp:UpdatePanel runat="server" ID="PageUpdatePanel"><ContentTemplate>
<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Panels/Panel_attributes.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="AttributesTitle" runat="server" Text="Attributes" EnableViewState="False"></asp:Literal></td>
		</tr>
	</table>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
		<tr>
			<td>
			<asp:PlaceHolder id="PanelAttributesPlaceHolder" runat="server"></asp:PlaceHolder>
			</td>
</tr></table>
<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%" class="feedbackserver">
				<asp:Button ID="CreatePanelistButton" runat="server" OnClick="CreatePanelistButton_Click" />
				<asp:Button ID="UpdatePanelistButton" runat="server" OnClick="UpdatePanelistButton_Click" />
				<!--<asp:Button ID="DeletePanelistButton" runat="server" OnClick="DeletePanelistButton_Click" />
				<asp:Button ID="ApproveEntriesButton" runat="server" OnClick="ApproveEntriesButton_Click" />
				<asp:Button ID="DenyEntriesButton" runat="server" OnClick="DenyEntriesButton_Click" />-->
			</td>
		</tr>
	</table>
	</ContentTemplate></asp:UpdatePanel>

   <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
        <Animations>
            <OnUpdating>
                <Parallel duration="0">
                    <ScriptAction Script="indicateStartProcess();" />  
                 </Parallel>
            </OnUpdating>
            <OnUpdated>
                <Parallel duration="0">
                    <ScriptAction Script="indicateEndProcess();" /> 
                </Parallel> 
            </OnUpdated>
        </Animations>
    </ajaxToolkit:UpdatePanelAnimationExtender> 