<%@ Control Language="c#" Codebehind="QuickTranslateQuestion.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.QuickTranslateQuestion" %>
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table width="100%">
				<tr>
					<td>
						<asp:DataList ID="LanguageDataList" Width="100%" runat="server" OnItemDataBound="LanguageDataList_ItemDataBound">
							<HeaderTemplate>
							</HeaderTemplate>
							<ItemTemplate>
								<table width="100%">
									<tr>
										<td colspan="2" class="quickTranslateHeader">
											<asp:Image ID="FlagImage" ImageAlign="Left" Width="15" Height="12" runat="server" />
											&nbsp;&nbsp;<%#GetPageResource(Eval("LanguageDescription").ToString())%>
										</td>
									</tr>
									<tr>
										<td valign="top" class="labelStyle">
											<asp:Literal ID="QuestionTextLabel" runat="server"></asp:Literal>
										</td>
										<td valign="top">
											<uc1:RichTextBox ID="ThankYouFreeTextBox" runat="server" IsInsidePanel="false" IsInsideUpdatePanel="false"
												Width="550" Height="200"></uc1:RichTextBox>
										</td>
									</tr>
									<asp:PlaceHolder ID="MatrixPlaceHolder" runat="server">
										<tr>
											<td nowrap class="labelStyle">
												<asp:Literal ID="MatrixColumnHeaderLabel" runat="server">:</asp:Literal>
											</td>
											<td>
												<asp:TextBox ID="MatrixColumnHeaderTextBox" runat="server" Columns="40"></asp:TextBox>
											</td>
										</tr>
									</asp:PlaceHolder>
									<asp:PlaceHolder ID="RepeatSectionPlaceHolder" runat="server">
										<tr>
											<td  nowrap class="labelStyle">
												<asp:Literal ID="AddRepeatSectionLabel" runat="server"></asp:Literal>
											</td>
											<td>
												<asp:TextBox Columns="40" ID="AddSectionLinkTextBox" runat="server"></asp:TextBox>
											</td>
										</tr>
										<tr>
											<td nowrap class="labelStyle">
												<asp:Literal ID="DeleteRepeatSectionLabel" runat="server">
            :</asp:Literal>
											</td>
											<td>
												<asp:TextBox Columns="40" ID="DeleteSectionLinkTextBox" runat="server"></asp:TextBox>
											</td>
										</tr>
									</asp:PlaceHolder>
									<asp:PlaceHolder ID="GridSectionPlaceHolder" runat="server">
										<tr>
											<td nowrap class="labelStyle">
												<asp:Literal ID="EditRepeatSectionLabel" runat="server"></asp:Literal>
											</td>
											<td>
												<asp:TextBox Columns="40" ID="EditSectionLinkTextBox" runat="server"></asp:TextBox>
											</td>
										</tr>
										<tr>
											<td nowrap class="labelStyle">
												<asp:Literal ID="UpdateRepeatSectionLabel" runat="server">
            :</asp:Literal>
											</td>
											<td>
												<asp:TextBox Columns="40" ID="UpdateSectionLinkTextBox" runat="server"></asp:TextBox>
											</td>
										</tr>
									</asp:PlaceHolder>
								</table>
								<br />
							</ItemTemplate>
							<FooterTemplate>
							</FooterTemplate>
						</asp:DataList>
					</td>
				</tr>
			</table>
			<asp:Button ID="UpdateLanguagesButton" runat="server" OnClick="UpdateLanguagesButton_Click">
			</asp:Button>
			<asp:Button ID="CancelButton" runat="server" OnClick="CancelButton_Click"></asp:Button>
			<br />
			<br />
		</td>
	</tr>
</table>





