<%@ Control Language="c#" CodeBehind="ReportFilterManager.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ReportFilterManager" %>
<%@ Register Src="../UserControls/ReportFilterConditions.ascx" TagName="ReportFilterConditions"
	TagPrefix="uc2" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<script language="javascript">

	Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(onLoadedHandler);	        
	function onLoadedHandler(sender,args)
	{	
		resizeContainer($find('<%=ContainerTabs.ClientID%>'));
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
	
		var panelBody = $get('<%=ContainerTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
</script>

	<style type="text/css">

	
		.ajax__calendar_container
		{
			border: 1px solid #646464;
			background-color: #ffffff;
			color: #000000;
		}
		.ajax__calendar_footer
		{
			border-top: 1px solid #f5f5f5;
		}
		.ajax__calendar_dayname
		{
			border-bottom: 1px solid #f5f5f5;
		}
		.ajax__calendar_day
		{
			border: 1px solid #ffffff;
		}
		.ajax__calendar_month
		{
			border: 1px solid #ffffff;
		}
		.ajax__calendar_year
		{
			border: 1px solid #ffffff;
		}
		.ajax__calendar_active .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.ajax__calendar_active .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.ajax__calendar_active .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #0066cc;
			color: #0066cc;
		}
		.ajax__calendar_other .ajax__calendar_day
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.ajax__calendar_other .ajax__calendar_year
		{
			background-color: #ffffff;
			border-color: #ffffff;
			color: #646464;
		}
		.ajax__calendar_hover .ajax__calendar_day
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.ajax__calendar_hover .ajax__calendar_month
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.ajax__calendar_hover .ajax__calendar_year
		{
			background-color: #edf9ff;
			border-color: #daf2fc;
			color: #0066cc;
		}
		.ajax__calendar_hover .ajax__calendar_title
		{
			color: #0066cc;
		}
		.ajax__calendar_hover .ajax__calendar_today
		{
			color: #0066cc;
		}

	</style>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Report_filters.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="ReportFilterTitle" runat="server" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
				<ContentTemplate>
					<asp:DropDownList ID="ReportFilterDropDownList" AutoPostBack="true"
						OnSelectedIndexChanged="ReportFilterDropdownlistIndexChanged" runat="server">
					</asp:DropDownList>
					&nbsp;<b><asp:LinkButton ID="CreateReportFilterLinkButton" runat="server" OnClick="CreateNewReportFilterLinkButton_Click">Click here to create a new Report filter ...</asp:LinkButton></b>
				</ContentTemplate>
			</asp:UpdatePanel>
			
			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
		</td>
	</tr>
</table>
<br />


<asp:UpdatePanel ID="ReportUpdatePanel" runat="server" UpdateMode="Conditional">
	<Triggers>
		<asp:AsyncPostBackTrigger ControlID="ReportFilterDropDownList" />
		<asp:AsyncPostBackTrigger ControlID="AddReportFilterButton" />
		<asp:AsyncPostBackTrigger ControlID="DeleteReportFilterButton" />
		<asp:AsyncPostBackTrigger ControlID="CreateReportFilterLinkButton" />
	</Triggers>
	<ContentTemplate>	
		<table width="100%">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<ajaxToolkit:TabContainer runat="server" ID="ContainerTabs" Visible="false" ActiveTabIndex="0"
						Height="250px" Width="100%" OnClientActiveTabChanged="resizeContainer">
						<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="FilterPropertiesTab"
							HeaderText="Properties">
							<ContentTemplate>
								<asp:UpdatePanel ID="ContainerUpdatePanel" runat="server">
									<ContentTemplate>
										<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
										<table class="settingsTable">
											<tr>
												<td nowrap class="labelStyle">
													<asp:Literal ID="ReportFilterNameLabel" runat="server" EnableViewState="False" Text="Report filter name :"></asp:Literal>
												</td>
												<td width="99%">
													<asp:TextBox ID="ReportFilterNameTextBox" Columns="40" runat="server"></asp:TextBox>
												</td>
											</tr>
										</table>
									</ContentTemplate>
								</asp:UpdatePanel>
							</ContentTemplate>
						</ajaxToolkit:TabPanel>
						<ajaxToolkit:TabPanel runat="server" ID="FilterConditionsTab" HeaderText="Filter Conditions">
							<ContentTemplate>
								<asp:UpdatePanel ID="ReportFilterConditionUpdatePanel" runat="server">
									<ContentTemplate>
										<uc2:ReportFilterConditions ID="ReportFilterConditionsControl" runat="server"></uc2:ReportFilterConditions>
									</ContentTemplate>
								</asp:UpdatePanel>
							</ContentTemplate>
						</ajaxToolkit:TabPanel>
					</ajaxToolkit:TabContainer>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>

<table width="100%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:UpdatePanel ID="ButtonsUpdatePanel" runat="server">
				<ContentTemplate>
					<asp:Button ID="AddReportFilterButton" runat="server" Text="Add" OnClick="AddReportFilterButton_Click">
					</asp:Button>
					<asp:Button ID="UpdateReportFilterButton" runat="server" Text="Update" OnClick="UpdateReportFilterButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteReportFilterButton" runat="server" Text="Delete" OnClick="DeleteReportFilterButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteFilteredRespondentButton" OnClick="DeleteFilteredRespondentButton_Click"
						runat="server" Text="Delete Filtered Respondent" />
				</ContentTemplate>
			</asp:UpdatePanel>
		</td>
	</tr>
</table>
