<%@ Control Language="c#" Codebehind="UserImport.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserImport" %>

<!--begin YUI Utilities -->
<script type="text/javascript" src="scripts/build/yho/yho-min.js"></script>
<script type="text/javascript" src="scripts/build/event/event-min.js"></script>
<script type="text/javascript" src="scripts/build/connection/connection-min.js"></script>
<script type="text/javascript" src="scripts/build/treeview/treeview-min.js"></script>
<script type="text/javascript" src="scripts/build/dom/dom-min.js"></script>
<script type="text/javascript" src="scripts/build/dragdrop/DivDDManager.js" ></script>
<script type="text/javascript" src="scripts/build/dragdrop/dragdrop-min.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeview.js"></script>
<script type="text/javascript" src="scripts/build/treeview/FSNode.js"></script>
<script type="text/javascript" src="scripts/build/dragdrop/FSDivDD.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeLoader.js"></script>
<script type="text/javascript" src="scripts/build/treeview/TaskNode.js"></script>

<script type="text/javascript">

    var surveyTreeLoader;
    var panelTreeLoader;
    var bootOpen;
	
	//load surveyTree on page
	function loadFolders()
	{
	 		<asp:placeholder id="folderScriptPlaceHolder" runat="server">
                surveyTreeLoader = new YAHOO.widget.TreeViewLoader("foldersurveyTreebox", 
                DataIllusion.FeedbackServer.Data.TreeTypes.Folders, onPostHandler, false, null, null, null,
                null, true,"import=1","fsadmin", false);
			</asp:placeholder>
			
			<asp:placeholder id="PanelScriptPlaceHolder" runat="server">
				panelTreeLoader = new YAHOO.widget.TreeViewLoader("panelTreeBox", 
				DataIllusion.FeedbackServer.Data.TreeTypes.Panels, null, false, null, null, null, 
				null, true, "import=1","fsadmin", false);
			</asp:placeholder>
	}
	
	function onPostHandler()
    {
        if (!bootOpen)
        {
            var rootNode = surveyTreeLoader.tree.getNodeByIndex(surveyTreeLoader.tree.getNodeByIdentifier(surveyTreeLoader.tree.getRoot(), 'folder_0'));
            if (rootNode && !rootNode.expanded)
            {
                bootOpen = true;
                rootNode.expand();
            }
        }
    }
    
    function getAllCheckedBranches()
    {
    }
    
</script>

<style type="text/css">

	table { font-size:1em; }

</style>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Users/User_import.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="ImportUsersTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tbody>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="UserIsAdministratorLabel" runat="server" EnableViewState="False"
									Text="Administrator :"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="IsAdminCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="IsAdminCheckBox_CheckedChanged">
							</asp:CheckBox></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="AssignAllSurveysLabel" runat="server" EnableViewState="False" Text="Assign all survey :"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="HasSurveyAccessCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="HasSurveyAccessCheckBox_CheckedChanged">
							</asp:CheckBox></td>
					</tr>
					<tr>
						<td valign="top"nowrap class="labelStyle">
							
								<asp:Literal ID="RolesLabel" EnableViewState="False" runat="server" Text="Roles :"></asp:Literal></td>
						<td>
							<table class="smallText">
								<tr>
									<td>
										<asp:Literal ID="AvailableRolesLabel" EnableViewState="False" runat="server" Text="Available roles"></asp:Literal></td>
									<td width="23">
									</td>
									<td>
										<asp:Literal ID="UserRolesLabel" EnableViewState="False" runat="server" Text="User's roles"></asp:Literal></td>
								</tr>
								<tr>
									<td>
										<asp:ListBox ID="RolesListBox" runat="server" AutoPostBack="True" Height="120px"
											OnSelectedIndexChanged="RolesListBox_SelectedIndexChanged"></asp:ListBox></td>
									<td width="23">
										&nbsp;&gt;&gt;<br>
											&lt;&lt;&nbsp;</td>
									<td valign="top">
										<asp:ListBox ID="UserRolesListBox" runat="server" AutoPostBack="True" Height="120px"
											OnSelectedIndexChanged="UserRolesListBox_SelectedIndexChanged"></asp:ListBox></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td nowrap class="labelStyle" valign="top">
							
								<asp:Literal ID="ImportUserLabel" runat="server" EnableViewState="False" Text="Import users :"></asp:Literal></td>
						<td width="99%">
							<input id="ImportFile" type="file" name="ImportFile" runat="server">
							<br>
							<asp:Label ID="ImportInfo1Label" runat="server" EnableViewState="False"> Import format are comma separated values, each new line must contain a user to import eg :</asp:Label><br>
							<asp:Label ID="ImportInfo2Label" runat="server" EnableViewState="False"> UserName,Password,First name,Last name,Email </asp:Label><br>
							<asp:Label ID="ImportInfo3Label" runat="server" EnableViewState="False">or<br> UserName,Password,,, </asp:Label></td>
					</tr>
						<tr>
						<td colspan="2">
							<table class="mediumText">
							<tr>
								<asp:PlaceHolder ID="folderPlaceHolder" runat="server">
								<td>
											<asp:Label ID="AssignSurveysFoldersLabel" CssClass="labelStyle" runat="server" EnableViewState="False"
												Text="Assign surveys / folders :"></asp:Label>
								
										<div id="foldersurveyTreebox" style="border-right: silver 1px solid; border-top: silver 1px solid;height:200px;
											overflow: auto; border-left: silver 1px solid; width: 320px; border-bottom: silver 1px solid;
											background-color: #f8f8f8">
										</div>
										<input id="CheckedFolderSurveys" type="hidden" name="CheckedFolderSurveys" runat="server">
										<input id="UnCheckedFolderSurveys" type="hidden" name="UnCheckedFolderSurveys" runat="server"></td>
								</td>
								</asp:PlaceHolder>
								<asp:PlaceHolder ID="PanelPlaceHolder" runat="server">
								<td>
											<asp:Label CssClass="labelStyle" ID="AssignedPanelsLabel" runat="server" EnableViewState="False"
												Text="Assign Panel / Views :"></asp:Label><br />
												
										<div id="panelTreeBox" style="border-right: silver 1px solid; border-top: silver 1px solid;height:200px;
											overflow: auto; border-left: silver 1px solid; width: 320px; border-bottom: silver 1px solid;
											background-color: #f8f8f8">
										</div>
										<input id="CheckedPanelViews" type="hidden" name="CheckedPanelViews" runat="server"></td>
								</td>
								</asp:PlaceHolder>
							</tr>
							</table>
						
						</td>
						
						</tr>
			</table>
			<br>
<asp:Button ID="ImportUsersButton" runat="server" Text="Import users" OnClick="ImportUsersButton_Click">
</asp:Button>
</TD></TR></TABLE>

<script type="text/javascript">
	loadFolders();
</script>

