<%@ Control Language="c#" AutoEventWireup="True" Codebehind="FormEditor.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.FormEditor" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>


<table class="feedbackserver" width="100%" cellpadding="4" cellspacing="0"><tr><td><div id="surveyform_builder"  style="border:0px;"/></td></tr></table>

<script type="text/javascript">

	var surveyId = <%=SurveyId%>;
	var tryCount = 0;

	function getSurveyForm_callback(res)
	{
		var display = document.getElementById("surveyform_builder");
		if (res != null)
		{
		    cleanDisplay(display);
			display.innerHTML = res;
			tryCount = 0;
		}
		else if (tryCount < 3)
		{
			tryCount++;
			getSurveyForm(PageIndex);
		}
		else if (res != null)
		{
			tryCount = 0;
			display.innerHTML = "connection failure, could not render survey, please reload the page";
		}
		
		resizeContainer();
		indicateEndProcess();
	}
	
	var unusedElements;
	function cleanDisplay(display)
	{
		if (unusedElements== null)
		{
			unusedElements= document.createElement('div');
			unusedElements.style.display = 'none';
			document.body.appendChild(unusedElements);
		}

		while (display.hasChildNodes())
		{
			unusedElements.appendChild(display.firstChild);
		}

		unusedElements.innerHTML = '';
	}

	function clearSurveyDesigner()
	{
		var display = document.getElementById("surveyform_builder");
		if (display != null)
		{
		    cleanDisplay(display);
			display.innerHTML = "";
		}
	}

	function surveyAction_callBack(res)
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormTree_callBack);
	}
	
	function refreshForm()
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormNoTree_callBack);
	}

	function surveyFormNoTree_callBack(res)
	{
		getSurveyForm_callback(res);
	}

	function surveyFormTree_callBack(res)
	{
		getSurveyForm_callback(res);
		reloadTree(false);
	}

	function surveyFormTreeNoRestore_callBack(res)
	{
		getSurveyForm_callback(res);
		reloadTree(true);
	}

	function surveyNewPageAction_callBack(res)
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormTreeNoRestore_callBack);
	}

	function surveyFormNoReloadTree_callBack(res)
	{
		getSurveyForm_callback(res);
	}

	function surveyPageDeleteAction_callBack(res)
	{
		indicateStartProcess();

		if (PageIndex > 1)
		{
			PageIndex--;
		}

		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormTreeNoRestore_callBack);
	}

	function surveyPageCloneAction_callBack(res)
	{
		indicateStartProcess();

		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormTreeNoRestore_callBack);
	}

	function surveyPageMoveAction_callBack(res)
	{
		indicateStartProcess();
        if (res && res != -1)
        {
            PageIndex = res;
        }
        
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormTreeNoRestore_callBack);
	}

	function movePageUp(surveyId, pageNumber)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.MovePageUp(surveyId, pageNumber, surveyPageMoveAction_callBack);
	}

	function movePageDown(surveyId, pageNumber)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.MovePageDown(surveyId, pageNumber, surveyPageMoveAction_callBack);
	}


	function deletePage(surveyId, pageNumber)
	{
		indicateStartProcess();
		
		if (PageIndex == "-1")
		{
			DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.DeletePage(surveyId, pageNumber, surveyPageDeleteAction_callBack);
		}
		else
		{
			DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.DeletePageWithQuestions(surveyId, pageNumber, surveyPageDeleteAction_callBack);
		}
	}

	function insertPageLineBreak(surveyId, previousQuestionDisplayOrder, pageNumber)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.InsertPageLineBreak(surveyId, previousQuestionDisplayOrder, pageNumber, surveyAction_callBack);
	}


	function moveQuestionUp(questionId, surveyId)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.QuestionsService.MoveQuestionUp(questionId, surveyId, surveyAction_callBack);
	}


	function moveQuestionDown(questionId, surveyId)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.QuestionsService.MoveQuestionDown(questionId, surveyId, surveyAction_callBack);
	}

	function deleteQuestion(questionId, surveyId)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.QuestionsService.DeleteQuestion(questionId, surveyId, surveyAction_callBack);
	}

	function cloneQuestion(questionId, surveyId)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.QuestionsService.CloneQuestion(questionId, surveyId, surveyAction_callBack);
	}

	function clonePage(pageNumber, surveyId)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.FormPagesService.ClonePage(surveyId, pageNumber, surveyPageCloneAction_callBack);
	}

	function switchDisableState(questionId, surveyId, iconDisabledIdentifer)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.QuestionsService.SwitchDisableState(questionId, surveyId, disableAction_callBack);
	}

	function disableAction_callBack(res)
	{
		if (res && parent.document.getElementById('fsMenu') != null)
		{
			parent.changeTreeIcon(res.split(',')[0], res.split(',')[1]);
		}

		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormNoReloadTree_callBack);
	}

	function surveyFormTree_callBack(res)
	{
		getSurveyForm_callback(res);
		reloadTree(false);
	}

	function switchPageDisableState(surveyId, pageNumber)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.FormPagesService.SwitchDisableState(surveyId, pageNumber, 
			pageDisableAction_callBack);
	}

	function pageDisableAction_callBack(res)
	{
		if (res && parent.document.getElementById('fsMenu') != null)
		{
			parent.changeTreeIcon(res.split(',')[0], res.split(',')[1]);
		}

		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.GetSurveyForm(surveyId, PageIndex, LanguageCode, surveyFormNoReloadTree_callBack);
	}

	function insertPageBreak(surveyId, displayOrder)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.InsertPageBreak(surveyId, displayOrder, surveyNewPageAction_callBack);
	}

	function insertLineBreak(surveyId, displayOrder, pageNumber)
	{
		indicateStartProcess();
		DataIllusion.FeedbackServer.Services.Web.Admin.SurveysService.InsertLineBreak(surveyId, displayOrder, pageNumber, surveyAction_callBack);
	}

	function reloadTree(refreshRoot)
	{
		if (refreshRoot || PageIndex == -1)
		{
			parent.loadTreeMenu(2, "survey_<%=SurveyId%>", false, <%=SurveyId%>, -1);
		}
		else
		{
			parent.loadTreeMenu(2, "page_"+ PageIndex + "_<%=GetPageType()%>",  
				false, <%=SurveyId%>, -1);
		}
	}
	

</script>

