<%@ Control Language="c#" AutoEventWireup="True" Codebehind="GroupsOptionsControl.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.GroupsOptionsControl"
	TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>

<script type="text/javascript">

    var surveyTreeLoader;
    var panelTreeLoader;
    var bootOpen;
	
		//load surveyTree on page
		function loadFolders()
		{
	 		<asp:placeholder id="folderScriptPlaceHolder" runat="server">
                surveyTreeLoader = new YAHOO.widget.TreeViewLoader("foldersurveyTreebox", DataIllusion.FeedbackServer.Data.TreeTypes.Folders, onPostHandler, 
                false, null, null, null, null, true, 'groupid=<%=GroupId%>','fsadmin', false);
			</asp:placeholder>
			
			<asp:placeholder id="PanelScriptPlaceHolder" runat="server">
				panelTreeLoader = new YAHOO.widget.TreeViewLoader("panelTreeBox", DataIllusion.FeedbackServer.Data.TreeTypes.Panels, 
				null, false, null, null, null, null, true, 'groupid=<%=GroupId%>','fsadmin', false);
			</asp:placeholder>
		}


	    function onPostHandler()
        {
            if (!bootOpen)
            {
                var rootNode = surveyTreeLoader.tree.getNodeByIndex(surveyTreeLoader.tree.getNodeByIdentifier(surveyTreeLoader.tree.getRoot(), 'folder_0'));
                if (rootNode && !rootNode.expanded)
                {
                    bootOpen = true;
                    rootNode.expand();
                }
            }
        }

</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Users/Group_manager.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="GroupOptionTitleLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<table class="uiTable" width="600" border="0">
	<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label></table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<asp:PlaceHolder ID="FSUserPlaceHolder" runat="server">
				<table>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="GroupNameLabel" runat="server" EnableViewState="False" Text="Group name:"></asp:Literal></td>
						<td width="99%">
							<asp:TextBox ID="GroupNameTextBox" Columns="40" runat="server"></asp:TextBox></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="GroupMemberAreAdministratorLabel" runat="server" EnableViewState="False"
									Text="Members are administrators :"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="IsAdminCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="IsAdminCheckBox_CheckedChanged">
							</asp:CheckBox></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="AssignAllSurveysToGroupLabel" runat="server" EnableViewState="False"
									Text="Assign all surveys :"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="HasSurveyAccessCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="HasSurveyAccessCheckBox_CheckedChanged">
							</asp:CheckBox></td>
					</tr>
				</table>
				<asp:PlaceHolder ID="ExtendedSettingsPlaceHolder" runat="server">
					<asp:PlaceHolder ID="GroupUsersPlaceHolder" runat="server">
						<table>
							<tr>
								<td valign="top" width="160" nowrap class="labelStyle">
									
										<asp:Literal ID="AssignedGroupUsersLabel" runat="server" Text="Assigned users :"
											EnableViewState="False"></asp:Literal></td>
								<td>
									<table class="smallText">
										<tr>
											<td>
												<asp:Literal ID="AvailableUsersLabel" runat="server" Text="Available users" EnableViewState="False"></asp:Literal></td>
											<td>
											</td>
											<td>
												<asp:Literal ID="GroupUsersLabel" runat="server" Text="Assigned to group" EnableViewState="False"></asp:Literal></td>
										</tr>
										<tr>
											<td>
												<asp:ListBox ID="UsersListbox" runat="server" AutoPostBack="True" Height="120px"
													OnSelectedIndexChanged="UsersListbox_SelectedIndexChanged"></asp:ListBox></td>
											<td>
												&nbsp;&gt;&gt;<br>
													&lt;&lt;&nbsp;</td>
											<td valign="top">
												<asp:ListBox ID="GroupUserListBox" runat="server" AutoPostBack="True" Height="120px"
													OnSelectedIndexChanged="GroupUserListBox_SelectedIndexChanged"></asp:ListBox></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</asp:PlaceHolder>
					<table>
						<tr>
							<td valign="top" nowrap class="labelStyle" width="160">
								
									<asp:Literal ID="RolesLabel" runat="server" Text="Roles :" EnableViewState="False"></asp:Literal></td>
							<td>
								<table class="smallText">
									<tr>
										<td nowrap class="labelStyle">
											<asp:Literal ID="AvailableRolesLabel" runat="server" Text="Available roles" EnableViewState="False"></asp:Literal></td>
										<td style="width: 23px">
										</td>
										<td nowrap class="labelStyle">
											<asp:Literal ID="GroupRolesLabel" runat="server" Text="Group's roles" EnableViewState="False"></asp:Literal></td>
									</tr>
									<tr>
										<td>
											<asp:ListBox ID="RolesListBox" runat="server" AutoPostBack="True" Height="120px"
												OnSelectedIndexChanged="RolesListBox_SelectedIndexChanged"></asp:ListBox></td>
										<td style="width: 23px">
											&nbsp;&gt;&gt;<br>
												&lt;&lt;&nbsp;</td>
										<td valign="top">
											<asp:ListBox ID="GroupRolesListBox" runat="server" AutoPostBack="True" Height="120px"
												OnSelectedIndexChanged="GroupRolesListBox_SelectedIndexChanged"></asp:ListBox></td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					
							<table>
							<tr>
								<asp:PlaceHolder ID="folderPlaceHolder" runat="server">
								<td>
											<asp:Label ID="AssignSurveysFoldersLabel" CssClass="labelStyle" runat="server" EnableViewState="False"
												Text="Assign surveys / folders :"></asp:Label>
								
										<div id="foldersurveyTreebox" style="border-right: silver 1px solid; border-top: silver 1px solid;height:200px;
											overflow: auto; border-left: silver 1px solid; width: 320px; border-bottom: silver 1px solid;
											background-color: #f8f8f8">
										</div>
										<input id="CheckedFolderSurveys" type="hidden" name="CheckedFolderSurveys" runat="server">
										<input id="UnCheckedFolderSurveys" type="hidden" name="UnCheckedFolderSurveys" runat="server"></td>
								</td>
								</asp:PlaceHolder>
								<asp:PlaceHolder ID="PanelPlaceHolder" runat="server">
								<td>
											<asp:Label CssClass="labelStyle" ID="AssignedPanelsLabel" runat="server" EnableViewState="False"
												Text="Assign Panel / Views :"></asp:Label><br />
												
										<div id="panelTreeBox" style="border-right: silver 1px solid; border-top: silver 1px solid;height:200px;
											overflow: auto; border-left: silver 1px solid; width: 320px; border-bottom: silver 1px solid;
											background-color: #f8f8f8">
										</div>
										<input id="CheckedPanelViews" type="hidden" name="CheckedPanelViews" runat="server"></td>
								</td>
								</asp:PlaceHolder>
							</tr>
							</table>
						
				</asp:PlaceHolder>
				<br>
				<asp:Button ID="CreateNewGroupButton" runat="server" Text="Create group" OnClick="CreateGroupButton_Click">
				</asp:Button>
				<asp:Button ID="ApplyChangesButton" runat="server" Text="Apply changes" OnClick="ApplyChangesButton_Click">
				</asp:Button>
				<asp:Button ID="DeleteGroupButton" runat="server" Text="Delete group" Visible="False"
					OnClick="DeleteGroupButton_Click"></asp:Button>
			</asp:PlaceHolder>
		</td>
	</tr>
</table>

<script type="text/javascript">
	<%if (GroupId != null)Response.Write("loadFolders();");%>
</script>
<br/>
